/// <reference types="react" />
import { IGenericSearchToolbarContainerProps } from './search-toolbar.interface';
import { GenericContainer } from '../../base/generic.container';
export declare class SearchToolbarContainer extends GenericContainer<IGenericSearchToolbarContainerProps> {
    /**
     * @stable [27.04.2020]
     * @param {IGenericSearchToolbarContainerProps} props
     */
    constructor(props: IGenericSearchToolbarContainerProps);
    render(): JSX.Element;
    /**
     * @stable [27.04.2020]
     */
    private onApply;
    /**
     * @stable [27.04.2020]
     */
    private onActivate;
    /**
     * @stable [27.04.2020]
     */
    private onDeactivate;
    /**
     * @stable [27.04.2020]
     * @param {string} query
     */
    private onChange;
}
