import { AnyAction, Reducer } from 'redux';
import { IEffectsAction } from 'redux-effects-promise';
import { IAsyncLibsEntity, IDictionariesEntity, IGenericLayoutEntity, IGenericNotificationEntity, IGenericStackEntity } from '../definition';
export declare const defaultReducers: {
    channel?: Reducer<{}>;
    asyncLibs: (state: IAsyncLibsEntity, action: AnyAction) => IAsyncLibsEntity;
    dictionaries: (state: IDictionariesEntity, action: IEffectsAction) => IDictionariesEntity;
    permissions: (state: {}, action: AnyAction) => {};
    user: (state: {}, action: AnyAction) => {};
    layout: (state: IGenericLayoutEntity, action: AnyAction) => IGenericLayoutEntity;
    stack: (state: IGenericStackEntity, action: AnyAction) => IGenericStackEntity;
    notification: (state: IGenericNotificationEntity, action: IEffectsAction) => IGenericNotificationEntity;
};
