/**
 * @stable [18.04.2020]
 * @param {AnyT} o
 * @returns {boolean}
 */
export declare const isObjectNotEmpty: <TValue>(o: any) => boolean;
/**
 * @stable [18.04.2020]
 * @param {AnyT} o
 * @returns {boolean}
 */
export declare const isObjectEmpty: <TValue>(o: any) => boolean;
/**
 * @stable [18.03.2020]
 * @param {AnyT} o
 * @returns {boolean}
 */
export declare const isStringNotEmpty: <TValue>(o: any) => boolean;
/**
 * @stable [20.03.2019]
 * @param {AnyT} current
 * @param {AnyT} previous
 * @returns {boolean}
 */
export declare const isCurrentValueNotEqualPreviousValue: (current: any, previous: any) => boolean;
/**
 * @stable [25.11.2019]
 * @param {TValue} object
 * @returns {TValue}
 */
export declare const buildUndefValuesObject: <TValue>(object: TValue) => TValue;
/**
 * @stable [17.04.2020]
 * @param {TValue} object
 * @param {(o, key) => any} mergeFn
 * @returns {TValue}
 */
export declare const mergeObjectsArray: <TValue>(object: TValue, mergeFn?: (o: any, key: any) => any) => TValue;
