import { IChannelWrapperEntity, IDictionariesWrapperEntity, ILayoutWrapperEntity, INotificationWrapperEntity, IGenericActiveQueryEntity, IQueryFilterEntity, IStackWrapperEntity, ITransportWrapperEntity, IUserWrapperEntity } from '../../definition';
export declare const layoutMapper: (state: ILayoutWrapperEntity<import("core/definition/layout-definition.interface").IGenericLayoutEntity>) => ILayoutWrapperEntity<import("core/definition/layout-definition.interface").IGenericLayoutEntity>;
export declare const filterMapper: (filterState: IGenericActiveQueryEntity) => {
    filter: {
        active?: boolean;
        query?: string;
    };
};
export declare const notificationMapper: (state: INotificationWrapperEntity<import("core/definition/notification-definition.interface").IGenericNotificationEntity>) => INotificationWrapperEntity<import("core/definition/notification-definition.interface").IGenericNotificationEntity>;
export declare const channelMapper: (state: IChannelWrapperEntity<import("core/definition/channel-definition.interface").IGenericChannelsEntity>) => IChannelWrapperEntity<import("core/definition/channel-definition.interface").IGenericChannelsEntity>;
/**
 * @deprecated Use mapQueryFilterEntity
 */
export declare const filterWrapperMapper: (filterState: IQueryFilterEntity) => {
    filter: {
        active?: boolean;
        query?: string;
    };
};
/**
 * @stable [18.09.2018]
 * @param {IStackWrapperEntity} state
 * @returns {IStackWrapperEntity}
 */
export declare const stackMapper: (state: IStackWrapperEntity<import("core/definition/stack-definition.interface").IGenericStackEntity>) => IStackWrapperEntity<import("core/definition/stack-definition.interface").IGenericStackEntity>;
/**
 * TODO Use mapStoreEntity
 * @deprecated
 */
export declare const defaultMappers: ((<TEntity = import("core/definition/user-definition.interface").IUserEntity>(wrapper: IUserWrapperEntity<TEntity>) => IUserWrapperEntity<TEntity>) | (<TTransport = import("core/definition/transport-definition.interface").ITransportEntity>(wrapper: ITransportWrapperEntity<TTransport>) => ITransportWrapperEntity<TTransport>) | (<TDictionaries = import("core/definition/dictionary-definition.interface").IDictionariesEntity>(wrapper: IDictionariesWrapperEntity<TDictionaries>) => IDictionariesWrapperEntity<TDictionaries>) | ((state: ILayoutWrapperEntity<import("core/definition/layout-definition.interface").IGenericLayoutEntity>) => ILayoutWrapperEntity<import("core/definition/layout-definition.interface").IGenericLayoutEntity>) | ((state: INotificationWrapperEntity<import("core/definition/notification-definition.interface").IGenericNotificationEntity>) => INotificationWrapperEntity<import("core/definition/notification-definition.interface").IGenericNotificationEntity>) | ((state: IChannelWrapperEntity<import("core/definition/channel-definition.interface").IGenericChannelsEntity>) => IChannelWrapperEntity<import("core/definition/channel-definition.interface").IGenericChannelsEntity>) | ((state: IStackWrapperEntity<import("core/definition/stack-definition.interface").IGenericStackEntity>) => IStackWrapperEntity<import("core/definition/stack-definition.interface").IGenericStackEntity>))[];
