import { ISectionNameWrapper } from '../definitions.interface';
import { IGenericPagedEntity, IGenericPaginatedEntity, IGenericPaginatedLifeCycleEntity, IListWrapperEntity } from '../definition';
/**
 * @stable [06.05.2020]
 */
export declare class GenericMappers {
    static listWrapperEntity: (wrapper: IListWrapperEntity<import("core/definitions.interface").IEntity, any>) => IListWrapperEntity<import("core/definitions.interface").IEntity, any>;
    static pagedEntity: (entity: IGenericPagedEntity) => IGenericPagedEntity;
    static paginatedEntity: (entity: IGenericPaginatedEntity) => IGenericPaginatedEntity;
    static paginatedLifeCycleEntity: (entity: IGenericPaginatedLifeCycleEntity) => IGenericPaginatedLifeCycleEntity;
    static sectionNameWrapper: (wrapper: ISectionNameWrapper) => ISectionNameWrapper;
}
