import { IGenericStackEntity, IStackItemEntity } from '../definition';
/**
 * @stable [19.12.2019]
 * @param {string} currentSection
 * @param {IGenericStackEntity} stackEntity
 * @returns {number}
 */
export declare const findStackItemEntityIndexBySection: (currentSection: string, stackEntity: IGenericStackEntity) => number;
/**
 * @stable [19.12.2019]
 * @param {IGenericStackEntity} stackEntity
 * @param {string} section
 * @returns {IStackItemEntity[]}
 */
export declare const truncateStack: (stackEntity: IGenericStackEntity, section: string) => IStackItemEntity[];
